/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package netz;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Logger;
import ohmlogger.OhmLogger;

/**
 * Builder Class
 * @author le
 */
public class Server
{
  private static Logger lg = OhmLogger.getLogger();
  private static final int PORT = 35000;
  
  public Server() throws IOException
  {
    ServerSocket sSocket = new ServerSocket(PORT);  
    lg.info("Server: Warte auf Verbindung ...");
    Socket s = sSocket.accept(); // Achtung: blockiert!
    lg.info("Server: Verbindung akzeptiert");
    InputStream iStream = s.getInputStream();
    OutputStream oStream = s.getOutputStream();
    
    InputStreamReader isr = new InputStreamReader(iStream, "UTF-8");
    OutputStreamWriter osr = new OutputStreamWriter(oStream, "UTF-8");
    
    BufferedReader in = new BufferedReader(isr);
    //BufferedWriter out = new BufferedWriter(osr);
    PrintWriter out = new PrintWriter(osr);
    
    lg.info("Server: Stream initialisiert");
    lg.info("Server: warte auf Nachricht ...");
    
    String nachricht = in.readLine(); // Achtung blockiert
    lg.info("Server: Nachricht empfangen");

    System.out.println("Server: NACHRICHT EMPFANGEN - " + nachricht);

    out.println("Server -> ich habe die Nachricht erhalten");
    lg.info("Server: Quittung versendet");
    
    out.flush(); // wirklich absenden!!
    
    out.close();
    in.close();
  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    try
    {
      new Server();
    }
    catch (IOException ex)
    {
      lg.severe(ex.toString());
    }
  }
}
